package cn.iocoder.yudao.module.order.vo.orderWarehouseAdjust;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 调仓记录 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 调仓记录 Response VO")
public class OrderWarehouseAdjustBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("订单ID")
    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ApiModelProperty(value = "调出仓库id")
    private Long warehouseOutId;

    @ApiModelProperty(value = "要调入仓库id")
    private Long warehouseInId;

    @ExcelProperty("物流公司")
    @ApiModelProperty(value = "物流公司")
    private String logisticsCompany;

    @ExcelProperty("物流单号")
    @ApiModelProperty(value = "物流单号")
    private String logisticsNo;

    @ExcelProperty("联系电话")
    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ExcelProperty("出仓日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "出仓日期")
    private Date deliveryDate;

    @ExcelProperty("到仓日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "到仓日期")
    private Date arrivalDate;

    @ExcelProperty("调拨出仓备注")
    @ApiModelProperty(value = "调拨出仓备注")
    private String deliveryRemark;

    @ExcelProperty("调拨到仓备注")
    @ApiModelProperty(value = "调拨到仓备注")
    private String arrivalRemark;

    @ExcelProperty("状态 1审核中 2已通过 3已拒绝  4 已取消 5已出仓  6已到仓")
    @ApiModelProperty(value = "状态 1审核中 2已通过 3已拒绝  4 已取消 5已出仓  6已到仓")
    private Integer status;

    @ExcelProperty("申请时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "申请时间", required = true)
    private Date createTime;

    @ExcelProperty("调出仓库名称")
    @ApiModelProperty(value = "调出仓库名称")
    private String warehouseOutName;

    @ExcelProperty("要调入仓库名称")
    @ApiModelProperty(value = "要调入仓库名称")
    private String warehouseInName;


    /**
     * 调出仓库所在市
     */
    @ExcelProperty("调出仓库所在市")
    @ApiModelProperty(value = "调出仓库所在市")
    private Long warehouseOutShi;

    /**
     * 要调入仓库所在市
     */
    @ExcelProperty("要调入仓库所在市")
    @ApiModelProperty(value = "要调入仓库所在市")
    private Long warehouseInShi;

    @ExcelProperty("申请人名称")
    private String creatorName;

}
